import 'package:flutter/material.dart';
import 'package:tm_app/core/utils/size_config.dart';

import '../../../core/theme/colors.dart';
import '../../shared/base_button.dart';
import '../strings/liked_tenders_strings.dart';

class LikeFiltersBottomSheet extends StatelessWidget {
  const LikeFiltersBottomSheet({super.key});

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: double.infinity,
      child: Padding(
        padding: const EdgeInsets.all(16.0),
        child: Column(
          mainAxisSize: MainAxisSize.min,
          children: [
            SizedBox(height: 10.0.h()),
            Text(
              LikedTendersStrings.filter,
              style: TextStyle(
                fontWeight: FontWeight.w600,
                color: AppColors.grey70,
                fontSize: 20.0.sp(),
              ),
            ),
            SizedBox(height: 20.0.h()),
            _buildFilterOption('Industry'),
            _buildFilterOption('Finance'),
            _buildFilterOption('Business'),
            _buildFilterOption('IT'),
            _buildFilterOption('Software'),
            SizedBox(height: 20.0.h()),
            BaseButton(
              backgroundColor: AppColors.primary2,
              borderRadius: 24,
              isEnabled: true,
              onPressed: () => Navigator.pop(context),
              text: 'Apply',
              textColor: AppColors.textBlue,
            ),
          ],
        ),
      ),
    );
  }

  Widget _buildFilterOption(String title) {
    return Padding(
      padding: EdgeInsets.symmetric(vertical: 8.0.h()),
      child: Align(
        alignment: Alignment.centerLeft,
        child: Text(
          title,
          style: TextStyle(
            fontSize: 16.0.sp(),
            color: AppColors.grey80,
            fontWeight: FontWeight.w400,
          ),
        ),
      ),
    );
  }
}
